Historical contract: Update Business Maximum Rule
Historical API contract. This page describes an earlier API contract. Methods, paths, and responses may differ from the current API.
Historical meaning
Update Business Maximum Rule
Current API
For new integrations, use the linked current API reference or guide.
View the current API referenceParameters
[
{
"name": "language",
"in": "path",
"schema": {
"type": "string",
"default": "en"
},
"required": true
},
{
"name": "api_version",
"in": "path",
"schema": {
"type": "string",
"default": "v400"
},
"required": true
},
{
"name": "project",
"in": "path",
"schema": {
"type": "string",
"default": "<redacted-personal>"
},
"required": true
},
{
"name": "business_id",
"in": "path",
"schema": {
"type": "integer",
"format": "int32"
},
"required": true
},
{
"name": "maximum_id",
"in": "path",
"schema": {
"type": "integer",
"format": "int32"
},
"required": true
}
]
Request body
{
"content": {
"application/json": {
"schema": {
"type": "object",
"properties": {
"paymethod_id": {
"type": "integer",
"format": "int32"
},
"site_id": {
"type": "integer",
"format": "int32"
},
"order_type_id": {
"type": "integer",
"format": "int32"
},
"maximum": {
"type": "number",
"format": "float"
}
}
}
}
}
}
Responses
{
"200": {
"description": "200",
"content": {
"application/json": {
"examples": {
"Result": {
"value": "{}"
}
},
"schema": {
"type": "object",
"properties": {}
}
}
}
},
"400": {
"description": "400",
"content": {
"application/json": {
"examples": {
"Result": {
"value": "{}"
}
},
"schema": {
"type": "object",
"properties": {}
}
}
}
}
}